%define snapshot 0
%define git 37ecc41

Summary:	Track runtime library calls from dynamically linked executables
Name:		ltrace
Version:	0.7.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		http://ltrace.alioth.debian.org/
%if %{snapshot}
# snapshot from http://anonscm.debian.org/gitweb/?p=collab-maint/ltrace.git
Source0:	ltrace-%{git}.tar.gz
%else
Source0:	http://alioth.debian.org/frs/download.php/file/3947/%{name}-%{version}.tar.bz2
%endif
# Work around a recently-added GCC warning (from fedora)
Patch1:		ltrace-0.7.2-unused-typedef.patch
# fix error: "_GNU_SOURCE" redefined
Patch2:		ltrace-0.7.0-gnu-source.patch
ExclusiveArch:	%{ix86} x86_64 ppc x86_64 sparc alpha
BuildRequires:	elfutils-devel
BuildRequires:	autoconf automake libtool

%description
Ltrace is a debugging program which runs a specified command until the command
exits. While the command is executing, ltrace intercepts and records both the
dynamic library calls called by the executed process and the signals received
by the executed process. Ltrace can also intercept and print system calls
executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep

%if %{snapshot}
%setup -q -n %{name}-%{git}
%else
%setup -q
%endif

%patch1 -p1
%patch2 -p0

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE=1"
%if %{snapshot}
./autogen.sh
%else
autoreconf -fi
%endif

%configure
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%doc README TODO NEWS
%config(noreplace) %{_sysconfdir}/ltrace.conf
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*


%changelog
* Wed Sep 18 2013 luigiwalser <luigiwalser> 0.7.3-1.mga4
+ Revision: 481084
- 0.7.3

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.7.2-3.mga4
+ Revision: 471334
- add patch from fedora to work around compiler warnings with new gcc

* Sat Jan 12 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 359036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 luigiwalser <luigiwalser> 0.7.2-1.mga3
+ Revision: 328086
- 0.7.2

* Fri Nov 30 2012 luigiwalser <luigiwalser> 0.7.1-1.mga3
+ Revision: 323280
- 0.7.1

* Sat Nov 24 2012 luigiwalser <luigiwalser> 0.7.0-1.mga3
+ Revision: 321621
- 0.7.0
- update URLs
- support using tarball from git or from download page
- package ltrace.conf manpage
- fix build error

* Tue Feb 22 2011 dmorgan <dmorgan> 0.6-0.81.5.mga1
+ Revision: 56986
- imported package ltrace


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-0.81.5mdv2011.0
+ Revision: 606425
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-0.81.4mdv2010.1
+ Revision: 520148
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6-0.81.3mdv2010.0
+ Revision: 426014
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6-0.81.2mdv2009.1
+ Revision: 351543
- rebuild

* Fri Aug 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-0.81.1mdv2009.0
+ Revision: 259366
- new svn snap (r81)
- drop P100, it's in there
- fix build

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.6-0.77.1mdv2009.0
+ Revision: 219562
- rebuild
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.6-0.77.1mdv2008.0
+ Revision: 68826
- rebuild for 2008
- don't package debian changelog and license
- strip debian patch of debian-specific stuff
- drop patches 2, 3 and 4 (merged or equivalent merged upstream)
- update URLs
- use Fedora license policy
- update to latest SVN rev 77
- correct versioning
- spec clean


* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1.45svnmdv2007.0
- new release
- added fedorad patches
- updated debian (useless for now)

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.0
- new release (#24430)
- kill patch 2: merged upstream

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.36-3mdk
- Rebuild

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.36-2mdk
- fix buildrequires

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.36-1mdk
- 0.3.36 (sync with fedora)
- build on alpha & sparc too

